Skip to main content

Update Lead: ResMan

PUThttps://api.propexo.com/v1/leads/resman/:lead_id
InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lead_id stringrequired

The Propexo unique identifier for the lead

Request​

This endpoint expects an object.

    lead_source_idstring

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    email_1string

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number. This will default to HOME if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number. This will default to MOBILE if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    citystring

    The city associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    desired_num_bedroomsnumber

    The desired number of bedrooms

    Possible values: >= 0

    desired_num_bathroomsnumber

    The desired number of bathrooms

    Possible values: >= 0

    desired_max_rent_in_centsnumber

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    Possible values: >= 0

    target_move_in_datestring

    The target move in date associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lead_idstringrequired

    The Propexo unique identifier for the lead

    lead_source_idstring

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit

    floor_plan_idstring

    The Propexo unique identifier for the floor plan

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    email_1string

    The primary email address associated with the lead

    phone_1string

    Primary phone number associated with the lead

    phone_1_typestring

    Type of the primary phone number. This will default to HOME if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number. This will default to MOBILE if not provided

    Show 4 enum values
    FAXHOMEMOBILEWORK
    citystring

    The city associated with the lead

    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    desired_num_bedroomsnumber

    The desired number of bedrooms

    Possible values: >= 0

    desired_num_bathroomsnumber

    The desired number of bathrooms

    Possible values: >= 0

    desired_max_rent_in_centsnumber

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    desired_lease_term_in_monthsnumber

    The amount of months for the lease term

    Possible values: >= 0

    target_move_in_datestring

    The target move in date associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/resman/:lead_id
curl -X PUT https://api.propexo.com/v1/leads/resman/:lead_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"lead_source_id": "string",
"unit_id": "string",
"floor_plan_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_lease_term_in_months": 0,
"target_move_in_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lead_id": "string",
"lead_source_id": "string",
"unit_id": "string",
"floor_plan_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"city": "string",
"address_1": "string",
"address_2": "string",
"state": "string",
"zip": "string",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": 0,
"desired_max_rent_in_cents": 0,
"desired_lease_term_in_months": 0,
"target_move_in_date": "2024-07-29T15:51:28.071Z"
}
}